javax.swing

## Interface ListModel

All Known Subinterfaces:
  ComboBoxModel, MutableComboBoxModel

All Known Implementing Classes:
  AbstractListModel, BasicDirectoryModel, DefaultComboBoxModel, DefaultListModel, MetalFileChooserUI.DirectoryComboBoxModel, MetalFileChooserUI.FilterComboBoxModel

    public interface ListModel

This interface defines the methods components like JList use to get the value of each cell in a list and the length of the list. Logically the model is a vector, indices vary from 0 to ListDataModel.getSize() - 1. Any change to the contents or length of the data model must be reported to all of the ListDataListeners.

See Also:
  `JList`

### Method Summary

Methods
`void` `addListDataListener(ListDataListener l)` Adds a listener to the list that's notified each time a change to the data model occurs.
`Object` `getElementAt(int index)` Returns the value at the specified index.
`int` `getSize()` Returns the length of the list.
`void` `removeListDataListener(ListDataListener l)` Removes a listener from the list that's notified each time a change to the data model occurs.

### Method Detail

#### getSize

    int getSize()

Returns the length of the list.

Returns:
  the length of the list

#### getElementAt

    Object getElementAt(int index)

Returns the value at the specified index.

Parameters:
  `index` - the requested index
Returns:
  the value at `index`

#### addListDataListener

    void addListDataListener(ListDataListener l)

Adds a listener to the list that's notified each time a change to the data model occurs.

Parameters:
  `l` - the `ListDataListener` to be added

#### removeListDataListener

    void removeListDataListener(ListDataListener l)

Removes a listener from the list that's notified each time a change to the data model occurs.

Parameters:
  `l` - the `ListDataListener` to be removed

Copyright © 1993, 2014, Oracle and/or its affiliates. All rights reserved.